Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07386 DIP/Input Major Always Aug 3, 2019, 17:15 Nov 21, 2019, 20:40
Tester Tafoid View Status Public Platform MAME (Official Binary)
Assigned To galibert Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver qix.cpp
Version 0.212 Fixed in Version 0.216 Build 64-bit
Summary 07386: zookeep, kram and clones: Unable to start game or use first coin slot
Description Player 1 and Player 2 start do not function, nor does the first coin input (left). Center and right seem to register correctly
Steps To Reproduce
Additional Information 6821PIA issue. Changes to device likely needs changes to the driver. It broke, worked, then broke again some days later.
https://github.com/mamedev/mame/commit/15ff665815c9dd2941bfb5b53f9200df1888590f
break start

https://github.com/mamedev/mame/commit/0074e4df451e74aad57248da5ce6b0033b0ca333
Partial fix/break. Start worked again, but coin 1 did not work

https://github.com/mamedev/mame/commit/2e0f4af6ee693fb6f40183bc60ef16db826c8780
break start buttons again
Flags
Regression Version 0.210
Affected Sets / Systems zookeep, kram and clones
Attached Files
 
Relationships
related to 00743Resolved kram, kram2, sdungeon, zookeep, zookeep2, zookeep3: Cannot play game with fresh NVRAM 
has duplicate 07387Closed zookeep, zookeep2, zookeep3: Player 1 and Player 2 start buttons do not function properly 
has duplicate 07491Closed zookeep, zookeep2, zookeep3: Start button not functioning 
related to 07389Confirmed inferno: Wrong DAC sound 
Notes
4
User avatar
No.16718
Tafoid
Administrator
Aug 3, 2019, 17:27
Added relationship. I did notice kram also has issues with start buttons at least, sdungeon seemed fine.
User avatar
No.16721
Osso
Developer
Aug 5, 2019, 07:12
Adding 'm_pia0->set_port_a_input_overrides_output_mask(0xff);' fixes the problem, but I think that a review from the author of the patchs is needed.
User avatar
No.16736
hackbar
Tester
Aug 10, 2019, 02:40
Can someone assign this to me? My account doesn't seem to have the right privileges.
User avatar
No.16755
hackbar
Tester
Aug 15, 2019, 00:37
Looking at the schematics, it seems the mapping of buttons to PIAs is just wrong. I don't have the system to test on though, and the manual doesn't say what the switch test numbers mean.

Anyone got a real board?